Gecode::TupleSet::Ranges Class Reference

Iterator over ranges. More...

`#include <int.hh>`

## Protected Attributes

const Range * | c
| Current range.
const Range * | l
| Last range.

## Constructors and initialization

| Ranges (const TupleSet &ts, int i)
| Initialize for column i.

## Iteration control

bool | operator() (void) const
| Test whether iterator is still at a range.
void | operator++ (void)
| Move iterator to next range (if possible).

## Range access

int | min (void) const
| Return smallest value of range.
int | max (void) const
| Return largest value of range.
unsigned int | width (void) const
| Return width of range (distance between minimum and maximum).

## Detailed Description

Iterator over ranges.

Definition at line 2359 of file int.hh.

## Constructor & Destructor Documentation

## Ranges()

Gecode::TupleSet::Ranges::Ranges | ( | const TupleSet & | ts,
|  | int | i )

inline

Initialize for column i.

Definition at line 260 of file tuple-set.hpp.

## Member Function Documentation

## operator()()

bool Gecode::TupleSet::Ranges::operator() | ( | void |  | ) | const

inline

Test whether iterator is still at a range.

Definition at line 266 of file tuple-set.hpp.

## operator++()

void Gecode::TupleSet::Ranges::operator++ | ( | void |  | ) |

inline

Move iterator to next range (if possible).

Definition at line 270 of file tuple-set.hpp.

## min()

int Gecode::TupleSet::Ranges::min | ( | void |  | ) | const

inline

Return smallest value of range.

Definition at line 275 of file tuple-set.hpp.

## max()

int Gecode::TupleSet::Ranges::max | ( | void |  | ) | const

inline

Return largest value of range.

Definition at line 279 of file tuple-set.hpp.

## width()

unsigned int Gecode::TupleSet::Ranges::width | ( | void |  | ) | const

inline

Return width of range (distance between minimum and maximum).

Definition at line 283 of file tuple-set.hpp.

## Member Data Documentation

## c

const Range* Gecode::TupleSet::Ranges::c

protected

Current range.

Definition at line 2362 of file int.hh.

## l

const Range* Gecode::TupleSet::Ranges::l

protected

Last range.

Definition at line 2364 of file int.hh.

The documentation for this class was generated from the following files:

- gecode/int.hh
- gecode/int/extensional/tuple-set.hpp